Skip to main content
PATCH
/
trust-centers
/
{slugId}
/
updates
/
{updateId}
Update Trust Center update
curl --request PATCH \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/updates/{updateId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "category": "GENERAL",
  "visibilityType": "PUBLIC"
}
'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "title": "Example title",
  "description": "This is an example of an update's description.",
  "category": "GENERAL",
  "creationDate": "2020-01-01T00:00:00.000Z",
  "updatedDate": "2020-01-01T00:00:00.000Z",
  "visibilityType": "PUBLIC",
  "notifiedEmails": [
    "test@test.com"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
updateId
string
required

Body

application/json
title
string
required

Title of the update.

description
string
required

Description of the update.

category
enum<string>
required

Category of the update.

Available options:
GENERAL,
COMPLIANCE,
SECURITY,
PRIVACY,
INCIDENT,
ROADMAP
visibilityType
enum<string>

Visibility type of the update.

Available options:
PUBLIC,
PRIVATE

Response

200 - application/json

Ok

id
string
required

Unique identifier for the update.

title
string
required

Title of the update.

description
string
required

Description of the update.

category
enum<string>
required

Category of the update.

Available options:
GENERAL,
COMPLIANCE,
SECURITY,
PRIVACY,
INCIDENT,
ROADMAP
creationDate
string<date-time>
required

Date the update was created.

updatedDate
string<date-time>
required

Date the viewer was last updated.

visibilityType
enum<string>
required

Visibility type of the update.

Available options:
PUBLIC,
PRIVATE
notifiedEmails
string[]

Emails to notify about the update.